InDashPC.org Forum Index InDashPC.org
In Dash Car PC forum
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

Can't build pymedia

 
Post new topic   Reply to topic    InDashPC.org Forum Index -> Software
View previous topic :: View next topic  
Author Message
xsara



Joined: 10 Dec 2004
Posts: 2

PostPosted: Fri Dec 10, 2004 5:19 am    Post subject: Can't build pymedia Reply with quote

I try to build pymedia but I just get this error.

I hope you can help me.
This is my error:

audio/libavcodec/faad.c:111: warning: passing arg 3 of pointer to function makes pointer from integer without a cast
audio/libavcodec/faad.c:111: warning: passing arg 4 of pointer to function from incompatible pointer type
audio/libavcodec/faad.c:111: too many arguments to function
audio/libavcodec/faad.c:110: warning: unused variable `samplerate'
audio/libavcodec/faad.c:119: too many arguments to function
audio/libavcodec/faad.c: In function `faac_decode_init':
audio/libavcodec/faad.c:185: warning: assignment from incompatible pointer type
audio/libavcodec/faad.c:191: warning: assignment from incompatible pointer type
audio/libavcodec/faad.c:194: warning: assignment from incompatible pointer type
audio/libavcodec/faad.c: In function `faac_decode_frame':
audio/libavcodec/faad.c:105: warning: `out' might be used uninitialized in this function
error: command 'gcc' failed with exit status 1
Back to top
View user's profile Send private message MSN Messenger
jbors
Site Admin


Joined: 12 Nov 2004
Posts: 1675

PostPosted: Fri Dec 10, 2004 8:58 am    Post subject: Reply with quote

For now, just uninstall FAAD2. I have older FAAD on my PC, so it worked before.
Back to top
View user's profile Send private message
xsara



Joined: 10 Dec 2004
Posts: 2

PostPosted: Sat Dec 11, 2004 7:24 am    Post subject: Reply with quote

I still got the same problem.

I got Debian with Kernel 2.2. I installed faad_1.1, libfaad2-0_1.1 and libfaad2-dev_2.0
Back to top
View user's profile Send private message MSN Messenger
jbors
Site Admin


Joined: 12 Nov 2004
Posts: 1675

PostPosted: Mon Dec 13, 2004 3:00 pm    Post subject: Reply with quote

You still have some faad version installed somewhere. Just modify setup.py file and comment out this line( setup.py:261 ): #dep('FAAD', 'libfaad2', 'faad.h', 'libfaad', 'CONFIG_FAAD').configure(inc_hunt,lib_hunt),
Back to top
View user's profile Send private message
Display posts from previous:   
Post new topic   Reply to topic    InDashPC.org Forum Index -> Software All times are GMT - 8 Hours
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You can attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group